Get Merchant Catalog Rules
Returns all catalog availability and exclusion rules for a merchant, grouped by rule type and keyed by tag or vendor.
Returns all catalog availability and exclusion rules, grouped by rule type and keyed by tag or vendor.
Path parameters
merchant_idinteger · int32Required
Header parameters
X-Violet-TokenstringRequired
X-Violet-App-SecretstringRequired
X-Violet-App-Idinteger · int32Required
Responses
200
The merchant's catalog rules.
application/json
Catalog availability and exclusion rules, grouped by rule type and keyed by tag or vendor.
get/merchants/{merchant_id}/catalog-rules
GET /v1/merchants/{merchant_id}/catalog-rules HTTP/1.1
Host: sandbox-api.violet.io
X-Violet-Token: text
X-Violet-App-Secret: text
X-Violet-App-Id: 1
Accept: */*
200
The merchant's catalog rules.
{
"availability": {
"tags": {
"sale": {
"available": true,
"published": true
}
},
"vendors": {}
},
"exclusions": {
"tags": {},
"vendors": {
"Pucci": {
"excluded": true,
"unpublished": false
}
}
}
}Last updated
Was this helpful?